namespace Wizard;

public class ChatAddDeckTask : BaseTask
{
	public class ChatAddDeckTaskParam : BaseParam
	{
		public int deck_format { get; set; }

		public int deck_no { get; set; }
	}

	public ChatAddDeckTask(ApiType.Type apiType)
	{
		base.type = apiType;
	}

	public void SetParameter(int deckFormat, int deckNo)
	{
		ChatAddDeckTaskParam chatAddDeckTaskParam = new ChatAddDeckTaskParam();
		chatAddDeckTaskParam.deck_format = deckFormat;
		chatAddDeckTaskParam.deck_no = deckNo;
		base.Params = chatAddDeckTaskParam;
	}

	protected override int Parse()
	{
		int result = base.Parse();
		_ = 1;
		return result;
	}
}
